/*
 * Copyright 2019 Red Hat, Inc. and/or its affiliates.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.kie.workbench.common.dmn.api.editors.included;

import java.util.Set;

import org.junit.Test;
import org.kie.soup.commons.util.Sets;

import static org.junit.Assert.assertEquals;
import static org.mockito.Mockito.mock;

public class PMMLModelMetadataTest {

    private static final String MODEL_NAME = "modelName";

    private static final Set<PMMLParameterMetadata> PARAMETERS = new Sets.Builder<PMMLParameterMetadata>().add(mock(PMMLParameterMetadata.class)).build();

    @Test
    public void testGetters() {
        final PMMLModelMetadata metadata = new PMMLModelMetadata(MODEL_NAME,
                                                                 PARAMETERS);

        assertEquals(MODEL_NAME, metadata.getName());
        assertEquals(PARAMETERS, metadata.getInputParameters());
    }
}
